#ifndef TILE_BASE_ENCODING_HEX_H
#define TILE_BASE_ENCODING_HEX_H

#pragma once
#include "tile/base/optional.h"
#include "tile/base/slice.h"

namespace tile {
std::string EncodeHex(Slice from, bool uppercase = false);
std::optional<std::string> DecodeHex(Slice from);

void EncodeHex(Slice from, std::string *to, bool uppercase = false);
bool DecodeHex(Slice from, std::string *to);
}// namespace tile

#endif// TILE_BASE_ENCODING_HEX_H
